- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.formDynamicParameters/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.formDynamicParameters/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.formDynamicParameters/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.formDynamicParameters/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.formDynamicParameters/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.formDynamicParameters/list#body.ListFormDynamicParametersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.formDynamicParameters/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.formDynamicParameters/list#body.aspect_1)

**Full name**: projects.locations.instances.formDynamicParameters.list

Lists all FormDynamicParameters defined in the instance. Use this method to discover the dynamic field configurations currently active for different investigation forms.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/formDynamicParameters`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list FormDynamicParameters for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of FormDynamicParameters to return. The service may return fewer than this value. If unspecified, at most 50 FormDynamicParameters will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `formDynamicParameters.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `formDynamicParameters.list` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter to apply to the list of FormDynamicParameters. |
| `orderBy` | `string` Optional. Configures ordering of FormDynamicParameters in the response. |
| `expand` | `string` Optional. Expand field for getting related data. Supported values: \* relatedCustomField example: "?expand=relatedCustomField" |

### Request body

The request body must be empty.

### Response body

Response message for formDynamicParameters.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "formDynamicParameters": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.formDynamicParameters#FormDynamicParameter`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `formDynamicParameters[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.formDynamicParameters#FormDynamicParameter`)`` The list of FormDynamicParameters. Ordered by Id by default. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` The total number of FormDynamicParameters includes filter without pagination. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.formDynamicParameters.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).